%define upstream_name Services_Amazon
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	0.9.0
Release:     	%mkrel 2
Summary:    	PHP interface to Amazon Product Advertising API
License: 	BSD
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/Services_Amazon-%{version}.tgz
URL: 		http://pear.php.net/package/Services_Amazon
BuildRequires: 	php-pear >= 1.4.7
Requires: 	php-pear >= 1.4.0b1
Requires:	php-pear-HTTP_Request
Requires:	php-pear-XML_Serializer >= 0.17.0
BuildArch: 	noarch

%description
Services_Amazon:
* PHP interface to Amazon Product Advertising API
* All APIs are supported: Lookup and Search for products, carts, similar
items and so on
* Multiple locale support: US, UK, DE, JP, FR and CA
* Caching support
     
Services_AmazonECS4:
* DEPRECATED: After August 15, 2009, all requests will be denied.
* A class using Amazon Associates Web Service 4.0 (Amazon E-Commerce
Service 4.0)
* Provide associate links
* Remote cart support
* Multiple locale support: US, UK, DE, JP, FR and CA
* Caching support

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Services_Amazon.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Services_Amazon.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Services_Amazon
fi

%files
%defattr(-,root,root)
%doc docs/Services_Amazon/*
%{peardir}/*
%{xmldir}/Services_Amazon.xml


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.9.0-2.mga3
+ Revision: 377244
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 14 2012 spuhler <spuhler> 0.9.0-1.mga2
+ Revision: 196163
- upgrade to 0.9.0
  pearized spec

* Sat Jan 29 2011 spuhler <spuhler> 0.7.0-6.mga1
+ Revision: 44179
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Services_Amazon

